using System.Collections.Generic;

namespace Lists.Web.Controls.Test
{
    public class LookupCollection
    {
        private readonly IEnumerable<ILookupDTO> dtos;

        public LookupCollection(IEnumerable<ILookupDTO> dtos)
        {
            this.dtos = dtos;
        }

        public void BindTo(ILookupList list)
        {
            list.Clear();

            foreach (ILookupDTO dto in dtos)
            {
                list.Add(dto);
            }
        }
    }
}