using System.Collections.Generic;

namespace Lists.Web.Controls.Test
{
    public class ViewContactsPresenter
    {
        private IViewContactView view;

        public ViewContactsPresenter(IViewContactView view)
        {
            this.view = view;
        }
        
        public void Initialize()
        {
            new LookupCollection(GetAllContacts()).BindTo(view.Contacts);
        }
        
        
        public IEnumerable<ILookupDTO> GetAllContacts()
        {
            for (int i = 0; i < 20; i++)
            {
                yield return new ContactDTO(i.ToString("Name 0"), i.ToString("Address 0"), i.ToString());
            }
        }
    }
}