using System;

namespace Lists.Web.Controls.Test
{
    public class ContactDTO : ILookupDTO
    {
        private string name;
        private string address;
        private string contactId;

        public ContactDTO(string name, string address, string contactId)
        {
            this.name = name;
            this.address = address;
            this.contactId = contactId;
        }

        public string Name
        {
            get { return name; }
        }

        public string Address
        {
            get { return address; }
        }

        public string ContactId
        {
            get { return contactId; }
        }

        public string Text
        {
            get { return Name; }
        }

        public string Value
        {
            get { return ContactId; }
        }
    }
}