using System.Web.UI.WebControls;

namespace Lists.Web.Controls.Test
{
    public class WebLookupList : ILookupList
    {
        private readonly ListControl listControl;

        public WebLookupList(ListControl listControl)
        {
            this.listControl = listControl;
        }

        public void Add(ILookupDTO dto)
        {
            listControl.Items.Add(new ListItem(dto.Text, dto.Value));
        }

        public void Clear()
        {
            listControl.Items.Clear();
        }
    }
}